// src/lib/process.ts
// Copyright (C) 2026 Robert Colbert <rob.colbert@openplatform.us>
// All Rights Reserved

import { GadgetComponent, GadgetLog } from "@gadget/api";

export abstract class DtpProcess implements GadgetComponent {
  log: GadgetLog;

  abstract get name(): string;
  abstract get slug(): string;

  constructor() {
    this.log = new GadgetLog(this);
  }
}
